classification
Title: SSL module returns incorrect error codes on Windows
Type: behavior Stage: resolved
Components: SSL Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: alex, christian.heimes, dstufft, janssen, steve.dower
Priority: normal Keywords: patch

Created on 2017-09-08 21:16 by steve.dower, last changed 2017-09-11 10:25 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3463 merged steve.dower, 2017-09-08 21:25
PR 3466 merged christian.heimes, 2017-09-08 22:19
Messages (4)
msg301733 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-09-08 21:16
Because we wait so long between errors occurring and being reported, information about the Windows error code (WSAGetLastError) has already been lost.

We should capture all the info sooner.
msg301743 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-08 22:16
New changeset e6eb48c10dc389d1d70657593de6a6cb3087d3d1 by Christian Heimes (Steve Dower) in branch 'master':
bpo-31400: Improve SSL error handling on Windows (#3463)
https://github.com/python/cpython/commit/e6eb48c10dc389d1d70657593de6a6cb3087d3d1
msg301775 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-09 15:22
New changeset 16f16dbd0ed02cd1a7b270eb6dd80d9bd179902e by Christian Heimes in branch '3.6':
[3.6] bpo-31400: Improve SSL error handling on Windows (GH-3463) (#3466)
https://github.com/python/cpython/commit/16f16dbd0ed02cd1a7b270eb6dd80d9bd179902e
msg301870 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-11 10:25
Patch has landed in 3.6 and master, thanks!
History
Date User Action Args
2017-09-11 10:25:24christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg301870

stage: backport needed -> resolved
2017-09-09 15:22:13christian.heimessetmessages: + msg301775
2017-09-08 23:01:41steve.dowersetstage: patch review -> backport needed
2017-09-08 22:19:40christian.heimessetpull_requests: + pull_request3458
2017-09-08 22:16:17christian.heimessetmessages: + msg301743
2017-09-08 21:25:06steve.dowersetkeywords: + patch
pull_requests: + pull_request3455
2017-09-08 21:17:25christian.heimessetnosy: + janssen, christian.heimes, alex, dstufft
2017-09-08 21:16:30steve.dowercreate